### Method

# Gck Enumerator set_object_type_full

#### Declaration [src]

    void
    gck_enumerator_set_object_type_full (
      GckEnumerator* self,
      GType object_type,
      const gulong* attr_types,
      gint attr_count
    )

#### Description [src]

Set the type of objects to be created by this enumerator. The type must always be either `GckObject` or derived from it.

If `attr_types` and `attr_count` are non-NULL and non-zero respectively, then the `GckObjectCache` interface is expected to be implemented on the derived class, then the enumerator will retrieve attributes for each object.

This method is renamed to `gck_enumerator_set_object_type()` in language bindings

#### Parameters

`object_type`

  Type: `GType`

  The type of objects to create.

`attr_types`

  Type: An array of `gulong`

  Types of attributes to retrieve for objects.

  The length of the array is specified in the `attr_count` argument.
  The data is owned by the caller of the function.

`attr_count`

  Type: `gint`

  The number of attributes to retrieve.